<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSubscriptionsSendingServersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscriptions_sending_servers', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('sending_server_id')->unsigned();
            $table->integer('subscription_id')->unsigned();
            $table->integer('fitness');

            $table->timestamps();

            $table->foreign('sending_server_id', table('sss_sending_server_id_fk'))->references('id')->on('sending_servers')->onDelete('cascade');
            $table->foreign('subscription_id', table('sss_subscription_id_fk'))->references('id')->on('subscriptions')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('subscriptions_sending_servers');
    }
}
