<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSubscriptionsEmailVerificationServersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscriptions_email_verification_servers', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('server_id')->unsigned();
            $table->integer('subscription_id')->unsigned();

            $table->timestamps();

            $table->foreign('server_id', table('sevs_server_id_foreign'))->references('id')->on('email_verification_servers')->onDelete('cascade');
            $table->foreign('subscription_id', table('sevs_subscription_id_foreign'))->references('id')->on('subscriptions')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('subscriptions_email_verification_servers');
    }
}
